Package org.eclipse.emf.compare.ide.ui.internal.logical

# Class NullModelMinimizer

java.lang.Object
org.eclipse.emf.compare.ide.ui.internal.logical.NullModelMinimizer

All Implemented Interfaces:
  `IModelMinimizer`

public class NullModelMinimizer extends Object implements IModelMinimizer
An empty implementation of an `IModelMinimizer`.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.compare.ide.ui.logical.IModelMinimizer

`IModelMinimizer.Registry`

## Constructor Summary

Constructors
Constructor
Description
`NullModelMinimizer()`

## Method Summary

Modifier and Type
Method
Description
`void`
`minimize(org.eclipse.core.resources.IFile file, SynchronizationModel syncModel, org.eclipse.core.runtime.IProgressMonitor monitor)`
This will be called to reduce the number of resources in this model's traversals based on the given starting point of the left logical model.
`void`
`minimize(SynchronizationModel syncModel, org.eclipse.core.runtime.IProgressMonitor monitor)`
This will be called to reduce the number of resources in this model's traversals.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NullModelMinimizer

public NullModelMinimizer()

## Method Details

### minimize

public void minimize(SynchronizationModel syncModel, org.eclipse.core.runtime.IProgressMonitor monitor)
This will be called to reduce the number of resources in this model's traversals.

Specified by:
  `minimize` in interface `IModelMinimizer`
Parameters:
  `syncModel` - The synchronization model to be minimized.
  `monitor` - Monitor on which to report progress to the user.

### minimize

public void minimize(org.eclipse.core.resources.IFile file, SynchronizationModel syncModel, org.eclipse.core.runtime.IProgressMonitor monitor)
This will be called to reduce the number of resources in this model's traversals based on the given starting point of the left logical model.

Specified by:
  `minimize` in interface `IModelMinimizer`
Parameters:
  `file` - The file that has been used as the starting point to resolve the left logical model.
  `syncModel` - The synchronization model to be minimized.
  `monitor` - Monitor on which to report progress to the user.